Subject: [pim] Collect Comments on RFC4601 Implementations and Deployments Survey Questionnaire Revision

From: Vero Zheng <[email-masked]>
Date: Tue, 06 Mar 2012 02:43:39 +0000

Dear WG,

We have revised the RFC4601 Implementations and Deployments Survey Questionnaire per discussion during Taipei meeting. Also Marshall Eubanks has agreed to anonymize the response to this Questionnaire.
Attached is the revision of the Questionnaire, please provide your comments.

BR,
Vero

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Questionnaire

Introduction:
PIM-SM was first published as RFC 2117 in 1997 and then again as RFC 2362 in 1998. The protocol was classified as Experimental in both of these documents. The PIM-SM protocol specification was then rewritten in whole and advanced to Proposed Standard as RFC4601 in 2006. Considering the multiple independent implementations developed and the successful operational experience gained, the IETF has decided to advance the PIM-SM routing protocol to Draft Standard. This survey intends to provide supporting documentation to advance the Protocol Independent Multicast - Sparse Mode (PIM-SM) routing protocol from IETF Proposed Standard to Draft Standard. (Due to RFC 6410, we are now trying to progress it to Internet Standard. Draft Standard is not used anymore.) This survey is issued on behalf of the IETF PIM Working Group.

The responses will be collected by neutral third-party and kept strictly confidential; only the final combined results will be published. Marshall Eubanks has agreed to anonymize the response to this Questionnaire. Marshall has a long experience with Multicast but has no direct financial interest in this matter, nor ties to any of the vendors involved. He is also a member of the IAOC, Chair of the IETF Trust and co-chair of the IETF Layer 3 VPN Working Group. Please send Questionnaire responses to his email address, [email-masked]. He requests that such responses include the string "RFC 4601 bis Questionnaire" in the subject field.

Questions for operators:
1      Have you deployed PIM-SM in your network?
2      How long have you had PIM-SM deployed in your network? Do you know if your deployment is based on the most recent RFC4601?
3      Have you deployed PIM-SM for IPv6 in your network?
4       Are you using equipment with different (multi-vendor) PIM-SM implementations for your deployment?
5       Have you encountered any inter-operability or backward-compatibility issues amongst differing implementations? If yes, what are your concerns about these issues?
6       Have you deployed both dense mode and sparse mode in your network? If yes, do you route between these modes using features such as *,*,RP or PMBR?
7       To what extent have you deployed PIM functionality, like e.g. BSR, SSM, and Explicit Tracking?
8       Do you have any other comments on PIM-SM deployment in your network?

Questions for implementors:
1       Have you implemented PIM-SM?
2       Is the PIM-SM implementation based on RFC 2632 or RFC 4601?
3       Have you implemented (*,*, RP) state of RFC 4601? What is the rationale behind implementing or omitting (*,*,RP)?
4       Have you implemented the PMBR as specified in RFC 4601 and RFC 2715? What is the rationale behind implementing or omitting PMBR?
5       Have you implemented other features and functions of RFC 4601, e.g.
                  - SSM
                   - Join Suppression
                   - Explicit tracking
                   - Register mechanism
                   - SPT switchover at last-hop router
                   - Assert mechanism
                   - Hashing of group to RP mappings,

6       Does your PIM-SM implementation support IPv6?
7       Have you encountered any inter-operability issues with other PIM implementations in trials or in the field?
8       Do you have any other comments or concerns about PIM-SM as specified in RFC4601?

---

From: Stig Venaas <[email-masked]>
Date: Wed, 07 Mar 2012 13:31:57 -0800

Please read carefully what Vero posted and see if anything should be
changed. If no comments are received by March 22nd, the current survey
text will be sent out to implementers/vendors and operators to get
their information.

It is important that we get the information we want, so if you have any
thoughts on this survey, please provide your input before March 22nd.

Stig

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 7 Mar 2012 16:47:13 -0500

Just to be clear, this is a 2 week last call ?

Marshall

---

From: Stig Venaas <[email-masked]>
Date: Wed, 07 Mar 2012 13:55:05 -0800

> Just to be clear, this is a 2 week last call ?

This isn't a draft, so not a working group last call.

But I guess it sort of is, since I'm giving people 2 weeks
to respond. But not anything formal.

Or am I missing something?

Stig

> Marshall
>
> On Wed, Mar 7, 2012 at 4:31 PM, Stig Venaas<[email-masked]>  wrote:

---

From: Leonard Giuliano <[email-masked]>
Date: Wed, 14 Mar 2012 19:09:12 -0700

I'd be interested in the following questions for operators:

-Which RP mapping mechanism do you use: Static, AutoRP, or BSR?

-How many RPs do you have deployed in your network?  Do you use 
Anycast-RP?  If so, is it Anycast-RP using MSDP (RFC 3446) or Anycast-RP 
using PIM (RFC 4610)?

On Wed, 7 Mar 2012, Stig Venaas wrote:

-) Please read carefully what Vero posted and see if anything should be
-) changed. If no comments are received by March 22nd, the current survey
-) text will be sent out to implementers/vendors and operators to get
-) their information.
-) 
-) It is important that we get the information we want, so if you have any
-) thoughts on this survey, please provide your input before March 22nd.
-) 
-) Stig
-) _______________________________________________
-) pim mailing list
-) [email-masked]
-) https://www.ietf.org/mailman/listinfo/pim
-)

---

From: Stig Venaas <[email-masked]>
Date: Mon, 19 Mar 2012 12:52:55 -0700

> Anycast-RP?  If so, is it Anycast-RP using MSDP (RFC 3446) or Anycast-RP

I also would be interested in hearing what people are deploying, but do
you think these answers would help advancing 4601? 4601 doesn't really
say much about mapping mechanisms.

Stig

---

From: Leonard Giuliano <[email-masked]>
Date: Tue, 20 Mar 2012 08:01:28 -0700

RFC 4601 does cover static/embedded/autorp/bsr, so I think the first 
bullet question is applicable.  I do concede that the anycast questions 
are a stretch for 4601 applicability, but the number of RPs is somewhat 
pertinent and the rest are at least sort of tangentially related.  Plus, 
yeah, I am pretty curious...

On Mon, 19 Mar 2012, Stig Venaas wrote:

-) On 3/14/2012 7:09 PM, Leonard Giuliano wrote:
-) > 
-) > I'd be interested in the following questions for operators:
-) > 
-) > -Which RP mapping mechanism do you use: Static, AutoRP, or BSR?
-) > 
-) > -How many RPs do you have deployed in your network?  Do you use
-) > Anycast-RP?  If so, is it Anycast-RP using MSDP (RFC 3446) or Anycast-RP
-) > using PIM (RFC 4610)?
-) 
-) I also would be interested in hearing what people are deploying, but do
-) you think these answers would help advancing 4601? 4601 doesn't really
-) say much about mapping mechanisms.
-) 
-) Stig
-) 
-) > 
-) > 
-) > On Wed, 7 Mar 2012, Stig Venaas wrote:
-) > 
-) > -) Please read carefully what Vero posted and see if anything should be
-) > -) changed. If no comments are received by March 22nd, the current survey
-) > -) text will be sent out to implementers/vendors and operators to get
-) > -) their information.
-) > -)
-) > -) It is important that we get the information we want, so if you have any
-) > -) thoughts on this survey, please provide your input before March 22nd.
-) > -)
-) > -) Stig
-) > -) _______________________________________________
-) > -) pim mailing list
-) > -) [email-masked]
-) > -) https://www.ietf.org/mailman/listinfo/pim
-) > -)
-) 
-) _______________________________________________
-) pim mailing list
-) [email-masked]
-) https://www.ietf.org/mailman/listinfo/pim
-)

---

From: Vero Zheng <[email-masked]>
Date: Fri, 23 Mar 2012 03:21:44 +0000

Thanks Lenny for the comments. For the first question, we believe it has been covered by Q7, though not directly. For the second question, even though we don't feel it really help with the main goal, but we have incorporated in the questionnaire since there's interests.
The final questionnaire is attached.

BR,
Vero

> -----Original Message-----
> From: Stig Venaas [mailto:[email-masked]]
> Sent: Thursday, March 08, 2012 5:32 AM
> To: Vero Zheng
> Cc: [email-masked]; Rishabh Parekh (riparekh); Mike McBride; Marshall Eubanks
> Subject: Re: [pim] Collect Comments on RFC4601 Implementations and
> Deployments Survey Questionnaire Revision
>

---

From: Leonard Giuliano <[email-masked]>
Date: Fri, 23 Mar 2012 08:13:30 -0700

Vero- I think the first question is much more pertinent and I don't think 
#7 adequately covers it.  

On Fri, 23 Mar 2012, Vero Zheng wrote:

-) Thanks Lenny for the comments. For the first question, we believe it has been covered by Q7, though not directly. For the second question, even though we don't feel it really help with the main goal, but we have incorporated in the questionnaire since there's interests.
-) The final questionnaire is attached.
-) 
-) BR,
-) Vero
-) 
-) > -----Original Message-----
-) > From: Stig Venaas [mailto:[email-masked]]
-) > Sent: Thursday, March 08, 2012 5:32 AM
-) > To: Vero Zheng
-) > Cc: [email-masked]; Rishabh Parekh (riparekh); Mike McBride; Marshall Eubanks
-) > Subject: Re: [pim] Collect Comments on RFC4601 Implementations and
-) > Deployments Survey Questionnaire Revision
-) > 
-) > Please read carefully what Vero posted and see if anything should be
-) > changed. If no comments are received by March 22nd, the current survey
-) > text will be sent out to implementers/vendors and operators to get
-) > their information.
-) > 
-) > It is important that we get the information we want, so if you have any
-) > thoughts on this survey, please provide your input before March 22nd.
-) > 
-) > Stig
-)

---

From: Vero Zheng <[email-masked]>
Date: Tue, 27 Mar 2012 08:31:55 +0000

Lenny,

We will incorporate the first question with the Q#7.

BR,
Vero
________________________________________
发件人: Leonard Giuliano [[email-masked]]
发送时间: 2012年3月23日 23:13
到: Vero Zheng
Cc: Stig Venaas; [email-masked]
主题: RE: [pim] Collect Comments on RFC4601 Implementations and Deployments Survey Questionnaire Revision